Bulk update entities

Base URL
https://{kibana_url}
  • PUT /api/security/entity_store/entities/bulk
  • PUT /s/{space_id}/api/security/entity_store/entities/bulk
Auth

Update multiple entity records in the Entity Store in a single request.

Required privileges

Privileges securitySolution

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

force union enum | boolean · default: false

When true, allows updating protected fields.

Values: true false

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

entities object[] required

The entities to update.

doc union anyOf
Any of:
@timestamp string · format: date-time · max length: 64

The time the entity record was last updated.

labels map string to object

Custom key-value labels attached to the entity.

tags string[]

Tags attached to the entity.

type enum required

The entity type of this record.

Values: user host service generic

Responses

200

Indicates a successful response.

application/json
400

Bad request.

application/json
Base URL
https://{kibana_url}